$('#dmn-file-download').on('click', function () {
  exportDiagram();
});

function download(filename, dmnXml) {
  let el = document.createElement('a');
  el.setAttribute('href',
      'data:text/xml;charset=utf-8,' + encodeURIComponent(dmnXml));
  el.setAttribute('download', filename);
  el.style.display = 'none';
  document.body.appendChild(el);
  el.click();
  document.body.removeChild(el);
}
