document.addEventListener("DOMContentLoaded", function () {
  $('#dmn-file-upload').on('change', loadDmnFromFile);
});

function loadDmnFromFile(evt) {
  let files = evt.target.files;
  let dmnFile = files[0];
  let fileReader = new FileReader();
  fileReader.onload = function (fileLoadedEvent) {
    let textFromFileLoaded = fileLoadedEvent.target.result;
    openDiagram(textFromFileLoaded);
  };
  fileReader.readAsText(dmnFile, "UTF-8");
}


